Problem with SSD1306 OLED library

Hello Arduino folks! I've got an OLED display 128*64 that I got working a while back and now when I've installed the new Arduino IDE I get problems.

I'm trying to use Adafruits SSD1306 OLED library and install it via the library manager. I change the Header-file to define the display dimensions as I want but when I try to run the example sketch for 128*64 i2c display I get the error:

#error ("Height incorrect, please fix Adafruit_SSD1306.h!");

I know the .h file is right. BUT when I manually delete the library, restart arduino and run the code it still gives me the same error despite the fact that I dont got the library anymore!? I've searched around the computer to find if it picks up any old library files but can't find them. What should I do?

thanks for the help!

What should I do?

1) Post a link to the library. 2) Post your code. 3) Post any files from the library that you changed.

PaulS: 1) Post a link to the library. 2) Post your code. 3) Post any files from the library that you changed.

  1. Adafruit SSD1306 library
  2. Adafruit SSD1306 128*64 i2c example
  3. Original .h file from library Changed
//   #define SSD1306_128_64
   #define SSD1306_128_32
//   #define SSD1306_96_16

To

   #define SSD1306_128_64
 //  #define SSD1306_128_32
//   #define SSD1306_96_16

Soo nothing special really, but how can this type of problem suddenly appear when installing new software? is it some old files that cause trouble? thanks guys!